// TestDLL header file.
#ifdef TESTDLL_EXPORTS
#define TESTDLL_API __declspec(dllexport)
#else
#define TESTDLL_API __declspec(dllimport)
#endif

#include <process.h>

TESTDLL_API LRESULT CALLBACK HookProc(int nCode, WPARAM wParam, LPARAM lParam);

TESTDLL_API void InstallHook();
TESTDLL_API void RemoveHook();

// for dllmain.cpp
void DebugMessage(char *first, ...); 
extern bool nomap;

#define WH_KEYBOARD_LL 13
typedef struct {
    DWORD vkCode;
    DWORD scanCode;
    DWORD flags;
    DWORD time;
    DWORD dwExtraInfo;
} KBDLLHOOKSTRUCT, *PKBDLLHOOKSTRUCT;

// for scripth.cpp
typedef struct {
	HANDLE handle;
	char	filename[512];
} FULLHANDLE;

void ParseScript(char* com, FULLHANDLE file);
char *formatKey(int c);
inline char* getBool(short b);
bool checkActiveWindow(void);

// for fdb.cpp
char* fdbGet(char* file, char* var);
bool  fdbPut(char* file, char* svar, char* val, bool append);
bool  fdbPutQ(char* file, char* svar, char* val);
bool  fdbExists(char* file);
char* fdbVars(char* file);
char* fdbReadvars(char* file);
bool  fdbRemove(char* file, char* var);
bool  fdbDelete(char* file);
